浩瀚の星空
管理员
管理员
  • 发帖数452
  • 铜币2363两
  • 威望801点
  • 贡献96点
  • 注册日期2014-09-22
  • 最后登录2017-11-24
  • 社区居民
  • 最爱沙发
阅读:36570回复:107

[经验分享]使用APP的聊天功能需要服务器支持SSL,官方检查工具

楼主#
更多 发布于:2015-03-26 10:10
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403
用APP的聊天功能需要你的服务器支持SSL,否则会出现登录失败(如提示用户不存在等),所以需要检查你的服务器是否支持,检查工具见附件checkssl.zip
把附件解开后,把checkssl.php放到你论坛根目录,然后通过url访问即可。

如果出现以下页面说明环境OK

图片:检测.PNG



如果提示环境不支持,请修复环境:
1、如果是虚机或云主机,需要联系服务提供商
2、如果自己能够远程管理
1)centos、redhat等主流linux环境的话,可以执行:yum update nss
2)如果使用的是wdcp:yum -y update nss
3)archlinux是:sudo pacman -S nss
4)windows的:参考http://blog.csdn.net/pony_maggie/article/details/8588888
[月明星稀稀于2015-04-01 15:28编辑了帖子]
lyltest
PW官方团队
PW官方团队
  • 发帖数101
  • 铜币650两
  • 威望368点
  • 贡献0点
  • 注册日期2015-03-03
  • 最后登录2017-08-29
沙发#
发布于:2015-03-31 11:38
帖内置顶  –    –  2015-03-31 11:40
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403
rouv:我也是这种问题,今天第一次装,运行/up9xto91.php提示:您的主机操作系统curl库的ssl_version为NSS/3.16.1 Basic ECC,需要将其升级为OpenSSL,否则会影响APP的聊天功能

运行checks...
回到原帖
好的,这种情况做一下统一回复:
第一次升级app版本的用户,当您运行up9xto91后提示升级Openssl的话,说明您当前系统的ssl库是NSS的。这个时候请注意查看提示信息中的NSS版本,
如果您的版本是NSS/3.16或高于3.16,那么您不需要做操作系统的升级。
把up9xto91脚本文件用编辑器打开,将图片中所标注的279行代码先注释掉(代码前加 // 即可注释)。然后再运行脚本进行app版本升级。
如果您的NSS版本低于3.16那么就需要将NSS先升级到3.16后再执行上面的步骤 。
下面配上截图

图片:新建位图图像.jpg

鱼没有眼泪
一星会员
一星会员
  • 发帖数63
  • 铜币227两
  • 威望5点
  • 贡献0点
  • 注册日期2015-01-25
  • 最后登录2016-02-21
板凳#
发布于:2015-03-26 12:57
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403
显示检测成功,坐等今天更新看能不能彻底解决信息登陆失败问题
agutl
四星会员
四星会员
  • 发帖数4480
  • 铜币102两
  • 威望2点
  • 贡献0点
  • 注册日期2012-03-12
  • 最后登录2016-02-23
3楼#
发布于:2015-03-26 13:51
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403
登陆失败问题好久了。。。
lyfwind
新手上路
新手上路
  • 发帖数26
  • 铜币39两
  • 威望12点
  • 贡献0点
  • 注册日期2015-02-11
  • 最后登录2016-01-18
  • 社区居民
4楼#
发布于:2015-03-26 14:18
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403
显示检测成功   等待
金沙仔仔
PW moblie内测组
PW moblie内测组
  • 发帖数212
  • 铜币1211两
  • 威望-2点
  • 贡献0点
  • 注册日期2014-07-04
  • 最后登录2015-06-20
  • 社区居民
  • 忠实会员
5楼#
发布于:2015-03-26 14:53
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403
坐等更新,呵呵
网佳男
PW民间侠客
PW民间侠客
  • 发帖数778
  • 铜币2983两
  • 威望1656点
  • 贡献0点
  • 注册日期2011-07-04
  • 最后登录2017-08-27
  • 社区明星
  • 民间侠客
  • 忠实会员
  • 社区居民
6楼#
发布于:2015-03-26 16:28
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403
没用过,不知道,期待楼下精彩解答!
鱼没有眼泪
一星会员
一星会员
  • 发帖数63
  • 铜币227两
  • 威望5点
  • 贡献0点
  • 注册日期2015-01-25
  • 最后登录2016-02-21
7楼#
发布于:2015-03-26 16:45
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403
nss怎么改为openssl?
idealities
PW官方团队
PW官方团队
  • 发帖数1026
  • 铜币1237两
  • 威望70点
  • 贡献0点
  • 注册日期2014-12-24
  • 最后登录2017-06-27
8楼#
发布于:2015-03-26 16:54
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403
鱼没有眼泪:nss怎么改为openssl?回到原帖
不用改的。你是跑了那个up9xto91.php给的提示吗?
ribdsiq
PW moblie内测组
PW moblie内测组
  • 发帖数46
  • 铜币309两
  • 威望0点
  • 贡献0点
  • 注册日期2014-08-03
  • 最后登录2015-11-22
9楼#
发布于:2015-03-26 18:17
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403
原来如此...
鱼没有眼泪
一星会员
一星会员
  • 发帖数63
  • 铜币227两
  • 威望5点
  • 贡献0点
  • 注册日期2015-01-25
  • 最后登录2016-02-21
10楼#
发布于:2015-03-26 18:52
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403
idealities:不用改的。你是跑了那个up9xto91.php给的提示吗?回到原帖
嗯,我的问题,
laosu1983
新手上路
新手上路
  • 发帖数27
  • 铜币206两
  • 威望0点
  • 贡献0点
  • 注册日期2005-04-15
  • 最后登录2015-04-11
11楼#
发布于:2015-03-26 19:02
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403
本帖的工具监测成功,但是今天的升级包里的监测出了下面的提示:

检测失败!如果您是刚升级完NSS,请您将php也同时升级到新版
httpCode:0
errorMsg:Problem with the SSL CA cert (path? access rights?)
errorno:77

消息依然登录失败,不知道有什么方法不?@浩瀚の星空
lyltest
PW官方团队
PW官方团队
  • 发帖数101
  • 铜币650两
  • 威望368点
  • 贡献0点
  • 注册日期2015-03-03
  • 最后登录2017-08-29
12楼#
发布于:2015-03-26 19:11
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403
laosu1983:本帖的工具监测成功,但是今天的升级包里的监测出了下面的提示:

检测失败!如果您是刚升级完NSS,请您将php也同时升级到新版
httpCode:0
errorMsg:Problem with the SSL CA cert (path? ...
回到原帖
亲,您刚升级的服务器上找一下nssdb的文件将其重命名为nssdb.old 试一下
类似如下的命令:
mv /etc/pki/nssdb /etc/pki/nssdb.old
laosu1983
新手上路
新手上路
  • 发帖数27
  • 铜币206两
  • 威望0点
  • 贡献0点
  • 注册日期2005-04-15
  • 最后登录2015-04-11
13楼#
发布于:2015-03-26 19:19
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403
lyltest:亲,您刚升级的服务器上找一下nssdb的文件将其重命名为nssdb.old 试一下
类似如下的命令:
mv /etc/pki/nssdb /etc/pki/nssdb.old
回到原帖
没结果,依然如故
爬爬大陆
一星会员
一星会员
  • 发帖数36
  • 铜币127两
  • 威望35点
  • 贡献0点
  • 注册日期2015-03-10
  • 最后登录2016-04-25
14楼#
发布于:2015-03-26 19:52
系统提示:关于phpwind产品的学习与交流已经迁移到阿里云论坛,请访问这里:https://bbs.aliyun.com/fourms.php?m=bbs&cateid=403

图片:1.jpg

上一页
游客

返回顶部